org.keycloak.models.cache.infinispan.authorization.entities

## Class ResourceScopeListQuery

- java.lang.Object
- - org.keycloak.models.cache.infinispan.entities.AbstractRevisioned
  - - org.keycloak.models.cache.infinispan.authorization.entities.ResourceListQuery
    - - org.keycloak.models.cache.infinispan.authorization.entities.ResourceScopeListQuery

- All Implemented Interfaces:
    Serializable, CachedObject, InResourceServer, InScope, ResourceQuery, Revisioned

      public class ResourceScopeListQuery
      extends ResourceListQuery
      implements InScope

  Author:
    Pedro Igor
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ResourceScopeListQuery(Long revision, String id, String scopeId, Set<String> resources, String serverId)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getScopeId()`
    `boolean` | `isInvalid(Set<String> invalidations)`

    - ### Methods inherited from class org.keycloak.models.cache.infinispan.authorization.entities.ResourceListQuery

      `getResources, getResourceServerId`

    - ### Methods inherited from class org.keycloak.models.cache.infinispan.entities.AbstractRevisioned

      `getCacheTimestamp, getId, getRevision, setRevision`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.keycloak.models.cache.infinispan.entities.Revisioned

      `getId, getRevision, setRevision`

- - ### Constructor Detail

    - #### ResourceScopeListQuery

          public ResourceScopeListQuery(Long revision,
                                        String id,
                                        String scopeId,
                                        Set<String> resources,
                                        String serverId)

  - ### Method Detail

    - #### getScopeId

          public String getScopeId()

      Specified by:
        `getScopeId` in interface `InScope`

    - #### isInvalid

          public boolean isInvalid(Set<String> invalidations)

      Specified by:
        `isInvalid` in interface `ResourceQuery`
      Overrides:
        `isInvalid` in class `ResourceListQuery`

Copyright © 2021 JBoss by Red Hat. All rights reserved.